VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
OptionMenuListenerAdapter Class Reference

`#include <ioptionmenulistener.h>`

Inheritance diagram for OptionMenuListenerAdapter:

## Public Member Functions
void | onOptionMenuPrePopup (COptionMenu *menu) override
| called before the menu pops up More...
void | onOptionMenuPostPopup (COptionMenu *menu) override
| called after the menu pops up More...
bool | onOptionMenuSetPopupResult (COptionMenu *menu, COptionMenu *selectedMenu, int32_t selectedIndex) override
| called when the platform optionmenu returns the result and before the value of the option menu is set. More...
virtual void | onOptionMenuPrePopup (COptionMenu *menu)=0
| called before the menu pops up More...
virtual void | onOptionMenuPostPopup (COptionMenu *menu)=0
| called after the menu pops up More...
virtual bool | onOptionMenuSetPopupResult (COptionMenu *menu, COptionMenu *selectedMenu, int32_t selectedIndex)=0
| called when the platform optionmenu returns the result and before the value of the option menu is set. More...

## Member Function Documentation

## ◆ onOptionMenuPostPopup()

void onOptionMenuPostPopup | ( | COptionMenu * | menu | ) |
| inline override virtual

called after the menu pops up

Implements IOptionMenuListener.

## ◆ onOptionMenuPrePopup()

void onOptionMenuPrePopup | ( | COptionMenu * | menu | ) |
| inline override virtual

called before the menu pops up

Implements IOptionMenuListener.

## ◆ onOptionMenuSetPopupResult()

bool onOptionMenuSetPopupResult | ( | COptionMenu * | menu,
|  | COptionMenu * | selectedMenu,
|  | int32_t | selectedIndex
| ) |  |
| inline override virtual

called when the platform optionmenu returns the result and before the value of the option menu is set.

Parameters

  menu | the listened menu
  selectedMenu | the menu containing the selected item
  selectedIndex | the index of the selected item

Returns
  return true to prevent further propagating the call to other listeners and to prevent setting the value of the option menu

Implements IOptionMenuListener.

The documentation for this class was generated from the following file:

- ioptionmenulistener.h